// rs_events.zs

class rs_EventHandler : EventHandler
{
	bool isRestart;
	PlayerInfo player;
	override void WorldLoaded(WorldEvent e)
	{
		isRestart = e.IsSaveGame;
	}
	
	override void PlayerSpawned(PlayerEvent e)
	{
		player = players[e.PlayerNumber];
	}

	override void WorldTick()
	{
		if (isRestart)
		{
			player.mo.ACS_NamedExecute("randomstart", 0, 0, 0, 0);
		}
	}
}

class rand_PostProcessor : LevelPostProcessor
{
	// add sector tags to determine if something is on the map
	protected void Apply(Name checksum, String mapname)
	{
		int tag = Cvar.FindCVar("rand_tag").GetInt();
		for (int i = 0; i < Level.Sectors.Size(); i++)
		{
			AddSectorTag(i, tag);
		}
	}
}
